Show / Hide Table of Contents

Class MysqlConnection

Represents the metadata of a MySQL Connection.

Inheritance
object
Connection
MysqlConnection
Inherited Members
Connection.Id
Connection.DisplayName
Connection.Description
Connection.CompartmentId
Connection.FreeformTags
Connection.DefinedTags
Connection.SystemTags
Connection.LifecycleState
Connection.LifecycleDetails
Connection.TimeCreated
Connection.TimeUpdated
Connection.Locks
Connection.VaultId
Connection.KeyId
Connection.IngressIps
Connection.NsgIds
Connection.SubnetId
Connection.RoutingMethod
Connection.DoesUseSecretIds
Connection.SubscriptionId
Connection.ClusterPlacementGroupId
Connection.SecurityAttributes
object.Equals(object)
object.Equals(object, object)
object.GetHashCode()
object.GetType()
object.MemberwiseClone()
object.ReferenceEquals(object, object)
object.ToString()
Namespace: Oci.GoldengateService.Models
Assembly: OCI.DotNetSDK.Goldengate.dll
Syntax
public class MysqlConnection : Connection

Properties

AdditionalAttributes

Declaration
[JsonProperty(PropertyName = "additionalAttributes")]
public List<NameValuePair> AdditionalAttributes { get; set; }
Property Value
Type Description
List<NameValuePair>

An array of name-value pair attribute entries. Used as additional parameters in connection string.

DatabaseName

Declaration
[JsonProperty(PropertyName = "databaseName")]
public string DatabaseName { get; set; }
Property Value
Type Description
string

The name of the database.

DbSystemId

Declaration
[JsonProperty(PropertyName = "dbSystemId")]
public string DbSystemId { get; set; }
Property Value
Type Description
string

The OCID of the database system being referenced.

Host

Declaration
[JsonProperty(PropertyName = "host")]
public string Host { get; set; }
Property Value
Type Description
string

The name or address of a host.

PasswordSecretId

Declaration
[JsonProperty(PropertyName = "passwordSecretId")]
public string PasswordSecretId { get; set; }
Property Value
Type Description
string

The OCID of the Secret where the password is stored. The password Oracle GoldenGate uses to connect the associated system of the given technology. It must conform to the specific security requirements including length, case sensitivity, and so on. If secretId is used plaintext field must not be provided. Note: When provided, 'password' field must not be provided.

Port

Declaration
[JsonProperty(PropertyName = "port")]
public int? Port { get; set; }
Property Value
Type Description
int?

The port of an endpoint usually specified for a connection.

PrivateIp

Declaration
[JsonProperty(PropertyName = "privateIp")]
public string PrivateIp { get; set; }
Property Value
Type Description
string

This property is not available when creating connections. For existing deprecated connections having this value set, the value cannot be updated; set it to empty.
For deprecated connections created with this field in the past, either the private IP had to be specified in the connectionString or host field, or the host name had to be resolvable in the target VCN.

SecurityProtocol

Declaration
[Required(ErrorMessage = "SecurityProtocol is required.")]
[JsonProperty(PropertyName = "securityProtocol")]
[JsonConverter(typeof(ResponseEnumConverter))]
public MysqlConnection.SecurityProtocolEnum? SecurityProtocol { get; set; }
Property Value
Type Description
MysqlConnection.SecurityProtocolEnum?

Security Protocol for MySQL.

Remarks

Required

SslCa

Declaration
[JsonProperty(PropertyName = "sslCa")]
public string SslCa { get; set; }
Property Value
Type Description
string

Database Certificate - The base64 encoded content of a .pem or .crt file containing the server public key (for 1 and 2-way SSL). It is not included in GET responses if the view=COMPACT query parameter is specified.

SslCert

Declaration
[JsonProperty(PropertyName = "sslCert")]
public string SslCert { get; set; }
Property Value
Type Description
string

Client Certificate - The base64 encoded content of a .pem or .crt file containing the client public key (for 2-way SSL). It is not included in GET responses if the view=COMPACT query parameter is specified.

SslCrl

Declaration
[JsonProperty(PropertyName = "sslCrl")]
public string SslCrl { get; set; }
Property Value
Type Description
string

The base64 encoded list of certificates revoked by the trusted certificate authorities (Trusted CA). Note: This is an optional property and only applicable if TLS/MTLS option is selected. It is not included in GET responses if the view=COMPACT query parameter is specified.

SslKeySecretId

Declaration
[JsonProperty(PropertyName = "sslKeySecretId")]
public string SslKeySecretId { get; set; }
Property Value
Type Description
string

The OCID of the Secret that stores the Client Key

  • The content of a .pem or .crt file containing the client private key (for 2-way SSL). Note: When provided, 'sslKey' field must not be provided.

SslMode

Declaration
[JsonProperty(PropertyName = "sslMode")]
[JsonConverter(typeof(ResponseEnumConverter))]
public MysqlConnection.SslModeEnum? SslMode { get; set; }
Property Value
Type Description
MysqlConnection.SslModeEnum?

SSL modes for MySQL.

TechnologyType

Declaration
[Required(ErrorMessage = "TechnologyType is required.")]
[JsonProperty(PropertyName = "technologyType")]
[JsonConverter(typeof(ResponseEnumConverter))]
public MysqlConnection.TechnologyTypeEnum? TechnologyType { get; set; }
Property Value
Type Description
MysqlConnection.TechnologyTypeEnum?

The MySQL technology type.

Remarks

Required

Username

Declaration
[Required(ErrorMessage = "Username is required.")]
[JsonProperty(PropertyName = "username")]
public string Username { get; set; }
Property Value
Type Description
string

The username Oracle GoldenGate uses to connect the associated system of the given technology. This username must already exist and be available by the system/application to be connected to and must conform to the case sensitivty requirments defined in it.

Remarks

Required

In this article
Back to top